PHPExcel_Writer

# Class: PHPExcel_Writer_PDF_tcPDF

Source Location: /PHPExcel/Writer/PDF/tcPDF.php

### Class Overview

    PHPExcel_Writer_HTML
       |
       --PHPExcel_Writer_PDF_Core
          |
          --PHPExcel_Writer_PDF_tcPDF

PHPExcel_Writer_PDF_tcPDF

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_Writer_IWriter

### Methods

- __construct
- save

### Inherited Variables

#### Class: PHPExcel_Writer_PDF_Core

PHPExcel_Writer_PDF_Core::$_paperSizes

#### Class: PHPExcel_Writer_HTML

PHPExcel_Writer_HTML::$_isPdf
PHPExcel_Writer_HTML::$_phpExcel

### Inherited Methods

#### Class: PHPExcel_Writer_PDF_Core

PHPExcel_Writer_PDF_Core::__construct()
  Create a new PHPExcel_Writer_PDF
PHPExcel_Writer_PDF_Core::getFont()
  Get Font
PHPExcel_Writer_PDF_Core::getOrientation()
  Get Orientation
PHPExcel_Writer_PDF_Core::getPaperSize()
  Get Paper Size
PHPExcel_Writer_PDF_Core::getTempDir()
  Get temporary storage directory
PHPExcel_Writer_PDF_Core::setFont()
  Set font. Examples:
PHPExcel_Writer_PDF_Core::setOrientation()
  Set Orientation
PHPExcel_Writer_PDF_Core::setPaperSize()
  Set Paper Size
PHPExcel_Writer_PDF_Core::setTempDir()
  Set temporary storage directory

#### Class: PHPExcel_Writer_HTML

PHPExcel_Writer_HTML::__construct()
  Create a new PHPExcel_Writer_HTML
PHPExcel_Writer_HTML::buildCSS()
  Build CSS styles
PHPExcel_Writer_HTML::formatColor()
  Add color to formatted string as inline style
PHPExcel_Writer_HTML::generateHTMLFooter()
  Generate HTML footer
PHPExcel_Writer_HTML::generateHTMLHeader()
  Generate HTML header
PHPExcel_Writer_HTML::generateNavigation()
  Generate sheet tabs
PHPExcel_Writer_HTML::generateSheetData()
  Generate sheet data
PHPExcel_Writer_HTML::generateStyles()
  Generate CSS styles
PHPExcel_Writer_HTML::getGenerateSheetNavigationBlock()
  Get sheet index
PHPExcel_Writer_HTML::getImagesRoot()
  Get images root
PHPExcel_Writer_HTML::getPreCalculateFormulas()
  Get Pre-Calculate Formulas
PHPExcel_Writer_HTML::getSheetIndex()
  Get sheet index
PHPExcel_Writer_HTML::getUseInlineCss()
  Get use inline CSS?
PHPExcel_Writer_HTML::save()
  Save PHPExcel to file
PHPExcel_Writer_HTML::setGenerateSheetNavigationBlock()
  Set sheet index
PHPExcel_Writer_HTML::setImagesRoot()
  Set images root
PHPExcel_Writer_HTML::setPreCalculateFormulas()
  Set Pre-Calculate Formulas
PHPExcel_Writer_HTML::setSheetIndex()
  Set sheet index
PHPExcel_Writer_HTML::setUseInlineCss()
  Set use inline CSS?
PHPExcel_Writer_HTML::writeAllSheets()
  Write all sheets (resets sheetIndex to NULL)

### Class Details

[line 45]
PHPExcel_Writer_PDF_tcPDF

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 51]

`PHPExcel_Writer_PDF_tcPDF __construct( PHPExcel $phpExcel)`

Create a new PHPExcel_Writer_PDF

#### Tags:

access: | public

Overrides PHPExcel_Writer_PDF_Core::__construct() (Create a new PHPExcel_Writer_PDF)

#### Parameters:

PHPExcel | $phpExcel | PHPExcel object

[ Top ]

### method save [line 61]

`void save( [ $pFilename = null], string $pFileName)`

Save PHPExcel to file

#### Tags:

throws: | Exception
access: | public

Implementation of:

PHPExcel_Writer_IWriter::save()
  Save PHPExcel to file

Overrides PHPExcel_Writer_HTML::save() (Save PHPExcel to file)

#### Parameters:

string | $pFileName |
| $pFilename |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:18:07 +0200 by phpDocumentor 1.4.4